unit dmmain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  IBDatabase, Db, IBCustomDataSet, IBTable;

type
  Tdm_main = class(TDataModule)
    ibdbSecurity: TIBDatabase;
    ibtSecurity: TIBTransaction;
    dsGroupAccess: TDataSource;
    qryGroupMembers: TIBDataSet;
    dsGroupMembers: TDataSource;
    qryGroups: TIBDataSet;
    qryPermissions: TIBDataSet;
    qrySecUser: TIBDataSet;
    qryUserAccess: TIBDataSet;
    dsGroups: TDataSource;
    dsPermissions: TDataSource;
    dsSecUser: TDataSource;
    dsUserAccess: TDataSource;
    qryGroupAccess: TIBDataSet;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  dm_main: Tdm_main;

implementation

{$R *.DFM}

procedure Tdm_main.DataModuleCreate(Sender: TObject);
begin
  // Open the datasources
  ibdbSecurity.Open;

  qryGroupAccess.Open;
  qryGroupMembers.Open;
  qryGroups.Open;
  qryPermissions.Open;
  qrySecUser.Open;
  qryUserAccess.Open;
end;

procedure Tdm_main.DataModuleDestroy(Sender: TObject);
begin
  if ibtSecurity.InTransaction then
    ibtSecurity.Commit;

  ibdbSecurity.Close;
end;

end.
